denial.c File Reference
`#include "config.h"`
`#include "log.h"`
`#include "signer/denial.h"`
`#include "signer/domain.h"`
`#include "signer/zone.h"`

Go to the source code of this file.

## Macros

#define | SE_MAX_RRTYPE_COUNT 65536

## Functions

denial_type * | denial_create (zone_type *zone, ldns_rdf *dname)
void | denial_diff (denial_type *denial)
void | denial_add_rr (denial_type *denial, ldns_rr *rr)
void | denial_nsecify (denial_type *denial, denial_type *nxt, uint32_t *num_added)
void | denial_print (FILE *fd, denial_type *denial, ods_status *status)
void | denial_cleanup (denial_type *denial)

## Macro Definition Documentation

## SE_MAX_RRTYPE_COUNT

#define SE_MAX_RRTYPE_COUNT 65536

Denial of Existence.

Definition at line 38 of file denial.c.

## Function Documentation

## denial_add_rr()

void denial_add_rr | ( | denial_type * | denial,
|  | ldns_rr * | rr
| ) |  |

Add NSEC(3) to the Denial of Existence data point.

Definition at line 259 of file denial.c.

References denial_struct::bitmap_changed, denial_diff(), signconf_struct::nsec3params, denial_struct::nxt_changed, rr_struct::owner, rr_struct::rr, denial_struct::rrset, rrset_add_rr(), rrset_create(), zone_struct::signconf, and denial_struct::zone.

Referenced by backup_read_namedb(), and denial_nsecify().

## denial_cleanup()

void denial_cleanup | ( | denial_type * | denial | ) |

Cleanup Denial of Existence data point.

Definition at line 350 of file denial.c.

References denial_struct::dname, denial_struct::rrset, and rrset_cleanup().

Referenced by namedb_add_denial().

## denial_create()

denial_type * denial_create | ( | zone_type * | zone,
|  | ldns_rdf * | dname
| ) |  |

Create new Denial of Existence data point.

Definition at line 48 of file denial.c.

References denial_struct::bitmap_changed, denial_struct::dname, denial_struct::domain, denial_struct::node, denial_struct::nxt_changed, denial_struct::rrset, and denial_struct::zone.

Referenced by namedb_add_denial().

## denial_diff()

void denial_diff | ( | denial_type * | denial | ) |

Apply differences at denial.

Definition at line 246 of file denial.c.

References denial_struct::rrset, and rrset_diff().

Referenced by denial_add_rr().

## denial_nsecify()

void denial_nsecify | ( | denial_type * | denial,
|  | denial_type * | nxt,
|  | uint32_t * | num_added
| ) |  |

Nsecify Denial of Existence data point.

Definition at line 295 of file denial.c.

References denial_struct::bitmap_changed, zone_struct::default_ttl, denial_add_rr(), zone_struct::klass, signconf_struct::nsec3params, denial_struct::nxt_changed, zone_struct::signconf, signconf_struct::soa_min, and denial_struct::zone.

Referenced by namedb_nsecify().

## denial_print()

void denial_print | ( | FILE * | fd,
|  | denial_type * | denial,
|  | ods_status * | status
| ) |  |

Print Denial of Existence data point.

Definition at line 331 of file denial.c.

References denial_struct::rrset, and rrset_print().

Referenced by domain_print().